﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamGridComplexObjectBinding
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            List<Customer> customers = new List<Customer>();
            customers.Add(new Customer { FirstName = "John", LastName = "Moss", Company = "MicroSoft", Title = "QA", Phone = "12345678", Fax = "231452", Address = new Address() { City = "NY", State = "NY", Postal = "2", Street1 = "A", Street2 = "A" } });
            customers.Add(new Customer { FirstName = "Alex", LastName = "Welling", Company = "Inragistics", Title = "R&D", Phone = "12356378", Fax = "1331452", Address = new Address() { City = "NJ", State = "NJ", Postal = "5", Street1 = "C", Street2 = "B" } });
            this.xamGrid1.ItemsSource = customers;
        }
    }

   public class Customer  
    {  
        public string FirstName { get; set; }  
        public string LastName { get; set; }  
       public string Company { get; set; }  
        public string Title { get; set; }  
        public Address Address { get; set; }  
        public string Phone { get; set; }  
        public string Fax { get; set; }  
    }  
  
    public class Address  
    {  
        public string Street1 { get; set; }  
        public string Street2 { get; set; }  
        public string City { get; set; }  
        public string State { get; set; }  
        public string Postal { get; set; }  
    }  
 


}
